Index: admin/media.php
===================================================================
--- admin/media.php	(revision 1192)
+++ admin/media.php	(revision 1039)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -10,4 +10,45 @@
 #
 # -- END LICENSE BLOCK -----------------------------------------
+
+/* Upload backend
+-------------------------------------------------------- */
+if (!empty($_POST['swfupload']))
+{
+	header('content-type: text/plain');
+	try
+	{
+		if (empty($_POST['sess_id']) || empty($_POST['sess_uid'])) {
+			throw new Exception('No credentials.');
+		}
+		define('DC_AUTH_SESS_ID',$_POST['sess_id']);
+		define('DC_AUTH_SESS_UID',$_POST['sess_uid']);
+		
+		require dirname(__FILE__).'/../inc/admin/prepend.php';
+		
+		if (!$core->auth->check('media,media_admin',$core->blog->id)) {
+			throw new Exception('Permission denied.');
+		}
+		
+		$d = isset($_POST['d']) ? $_POST['d'] : null;
+		$core->media = new dcMedia($core);
+		$core->media->chdir($d);
+		$core->media->getDir();
+		$dir =& $core->media->dir;
+		
+		if (empty($_FILES['Filedata'])) {
+			throw new Exception('No file to upload.');
+		}
+		
+		files::uploadStatus($_FILES['Filedata']);
+		$core->media->uploadFile($_FILES['Filedata']['tmp_name'],$_FILES['Filedata']['name']);
+		
+		echo 'ok';
+	}
+	catch (Exception $e) {
+		echo __('Error:').' '.__($e->getMessage());
+	}
+	exit;
+}
+
 
 /* HTML page
@@ -61,5 +102,5 @@
 	__('By dates, in ascending order') => 'date-asc',
 	__('By dates, in descending order') => 'date-desc'
-	);
+);
 
 if (!empty($_GET['file_sort']) && in_array($_GET['file_sort'],$sort_combo)) {
@@ -132,47 +173,22 @@
 
 # Adding a file
-if ($dir && !empty($_FILES['upfile'])) {
-  // only one file per request : @see option singleFileUploads in admin/js/jsUpload/jquery.fileupload
-	$upfile = array('name' => $_FILES['upfile']['name'][0],
-		'type' => $_FILES['upfile']['type'][0],
-		'tmp_name' => $_FILES['upfile']['tmp_name'][0],
-		'error' => $_FILES['upfile']['error'][0],
-		'size' => $_FILES['upfile']['size'][0]
-		);
-
-	if (!empty($_SERVER['HTTP_X_REQUESTED_WITH'])) {
-		header('Content-type: application/json');
-		$message = array();
-
-		try {
-			files::uploadStatus($upfile);
-			$new_file_id = $core->media->uploadFile($upfile['tmp_name'], $upfile['name']);
-
-			$message['files'][] = array('name' => $upfile['name'],
-				'size' => $upfile['size'],
-				'html' => mediaItemLine($core->media->getFile($new_file_id), 1)
-				);
-		} catch (Exception $e) {
-			$message['files'][] = array('name' => $upfile['name'],
-				'size' => $upfile['size'],
-				'error' => $e->getMessage()
-				);
-		}
-		echo json_encode($message);
-		exit();
-	} else {
-		try {
-			files::uploadStatus($upfile);
-
-			$f_title = (isset($_POST['upfiletitle']) ? $_POST['upfiletitle'] : '');
-			$f_private = (isset($_POST['upfilepriv']) ? $_POST['upfilepriv'] : false);
-
-			$core->media->uploadFile($upfile['tmp_name'], $upfile['name'], $f_title, $f_private);
-			http::redirect($page_url.'&d='.rawurlencode($d).'&upok=1');
-		} catch (Exception $e) {
-			$core->error->add($e->getMessage());
-		}
-	}
-}
+if ($dir && !empty($_FILES['upfile']))
+{
+	try
+	{
+		files::uploadStatus($_FILES['upfile']);
+		
+		$f_title = (isset($_POST['upfiletitle']) ? $_POST['upfiletitle'] : '');
+		$f_private = (isset($_POST['upfilepriv']) ? $_POST['upfilepriv'] : false);
+		
+		$core->media->uploadFile($_FILES['upfile']['tmp_name'],$_FILES['upfile']['name'],$f_title,$f_private);
+		http::redirect($page_url.'&d='.rawurlencode($d).'&upok=1');
+	}
+	catch (Exception $e)
+	{
+		$core->error->add($e->getMessage());
+	}
+}
+
 
 # Removing item
@@ -200,4 +216,5 @@
 }
 
+
 # DISPLAY confirm page for rmdir & rmfile
 if ($dir && !empty($_GET['remove']) && empty($_GET['noconfirm']))
@@ -210,5 +227,5 @@
 	'<form action="'.html::escapeURL($page_url).'" method="post">'.
 	'<p>'.sprintf(__('Are you sure you want to remove %s?'),
-		html::escapeHTML($_GET['remove'])).'</p>'.
+	html::escapeHTML($_GET['remove'])).'</p>'.
 	'<p><input type="submit" value="'.__('Cancel').'" /> '.
 	' &nbsp; <input type="submit" name="rmyes" value="'.__('Yes').'" />'.
@@ -228,6 +245,11 @@
 
 call_user_func($open_f,__('Media manager'),
+	'<script type="text/javascript">'."\n".
+	"//<![CDATA["."\n".
+	dcPage::jsVar('dotclear.candyUpload_force_init',$user_ui_enhanceduploader)."\n".
+	"//]]>".
+	"</script>".
 	dcPage::jsLoad('js/_media.js').
-	($core_media_writable ? dcPage::jsUpload(array('d='.$d)) : '')
+	($core_media_writable ? dcPage::jsCandyUpload(array('d='.$d)) : '')
 	);
 
@@ -275,15 +297,14 @@
 if ($post_id) {
 	echo '<p><strong>'.sprintf(__('Choose a file to attach to entry %s by clicking on %s.'),
-		'<a href="'.$core->getPostAdminURL($post_type,$post_id).'">'.html::escapeHTML($post_title).'</a>',
-		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</strong></p>';
+	'<a href="'.$core->getPostAdminURL($post_type,$post_id).'">'.html::escapeHTML($post_title).'</a>',
+	'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</strong></p>';
 }
 if ($popup) {
 	echo '<p><strong>'.sprintf(__('Choose a file to insert into entry by clicking on %s.'),
-		'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</strong></p>';
+	'<img src="images/plus.png" alt="'.__('Attach this file to entry').'" />').'</strong></p>';
 }
 
 
 $items = array_values(array_merge($dir['dirs'],$dir['files']));
-echo '<div class="media-list">';
 if (count($items) == 0)
 {
@@ -305,4 +326,5 @@
 	'</form>'.
 	
+	'<div class="media-list">'.
 	'<p>'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 	
@@ -313,12 +335,7 @@
 	
 	echo
-	'<p class="clear">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
-}
-if (!isset($pager)) {
-	echo
-	'<p class="clear"></p>';
-}
-echo
-'</div>';
+	'<p class="clear">'.__('Page(s)').' : '.$pager->getLinks().'</p>'.
+	'</div>';
+}
 
 if ($core_media_writable)
@@ -326,48 +343,26 @@
 	echo '<div class="two-cols">';
 	
-	if ($user_ui_enhanceduploader) {
-		echo
-		'<div class="col enhanced_uploader">';
-	} else {
-		echo
-		'<div class="col">';
-	}
-
-	echo
+	echo
+	'<div class="col">'.
 	'<fieldset id="add-file-f"><legend>'.__('Add files').'</legend>'.
 	'<p>'.__('Please take care to publish media that you own and that are not protected by copyright.').'</p>'.
-	' <form id="fileupload" action="'.html::escapeURL($page_url).'" method="POST" enctype="multipart/form-data">'.
+	'<form id="media-upload" class="clear" action="'.html::escapeURL($page_url).'" method="post" enctype="multipart/form-data">'.
 	'<div>'.form::hidden(array('MAX_FILE_SIZE'),DC_MAX_UPLOAD_SIZE).
 	$core->formNonce().'</div>'.
-	'<div class="fileupload-ctrl"><div class="files"></div></div>';
-
-	echo
-	'<div class="fileupload-buttonbar">';
-
-	echo
-	'<p class="max-sier form-note info">&nbsp;'.__('Maximum file size allowed:').' '.files::size(DC_MAX_UPLOAD_SIZE).'</p>'.
-	'<label for="upfile">'.'<span class="add-label one-file">'.__('Choose file').'</span>'.'</label>'.
-	'<button class="button add">'.__('Choose files').'</button>'.
-	'<input type="file" id="upfile" name="upfile[]"'.($user_ui_enhanceduploader?' multiple="mutiple"':'').' data-url="'.html::escapeURL($page_url).'" />';
-
-	echo
-	'<p class="one-file"><label for="upfiletitle">'.__('Title:').form::field(array('upfiletitle','upfiletitle'),35,255).'</label></p>'.
-	'<p class="one-file"><label for="upfilepriv" class="classic">'.form::checkbox(array('upfilepriv','upfilepriv'),1).' '.
+	'<p><label for="upfile">'.__('Choose a file:').
+	' ('.sprintf(__('Maximum size %s'),files::size(DC_MAX_UPLOAD_SIZE)).')'.
+	'<input type="file" id="upfile" name="upfile" size="20" />'.
+	'</label></p>'.
+	'<p><label for="upfiletitle">'.__('Title:').form::field(array('upfiletitle','upfiletitle'),35,255).'</label></p>'.
+	'<p><label for="upfilepriv" class="classic">'.form::checkbox(array('upfilepriv','upfilepriv'),1).' '.
 	__('Private').'</label></p>';
-
 	if (!$user_ui_enhanceduploader) {
 		echo
-		'<p class="one-file form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
+		'<p class="form-help info">'.__('To send several files at the same time, you can activate the enhanced uploader in').
 		' <a href="preferences.php?tab=user-options">'.__('My preferences').'</a></p>';
 	}
-
-	echo
-	'<button class="button clean">'.__('Refresh').'</button>'.
-	'<input class="button cancel one-file" type="reset" value="'.__('Clear all').'"/>'.
-	'<input class="button start" type="submit" value="'.__('Upload').'"/>'.
-	'</div>';
-
-	echo
-	'<div>'.form::hidden(array('d'),$d).'</div>'.
+	echo
+	'<p><input type="submit" value="'.__('Send').'" />'.
+	form::hidden(array('d'),$d).'</p>'.
 	'</fieldset>'.
 	'</form>'.
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 1179)
+++ admin/media_item.php	(revision 1103)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -145,5 +145,5 @@
 			$res[] = (string) $file->media_meta->{$v};
 		} elseif (preg_match('/^Date\((.+?)\)$/u',$v,$m)) {
-			if ($dto_first && ($file->media_meta->DateTimeOriginal != 0)) {
+			if ($dto_first && $file->media_meta->DateTimeOriginal) {
 				$res[] = dt::dt2str($m[1],(string) $file->media_meta->DateTimeOriginal);
 			} else {
Index: admin/plugin.php
===================================================================
--- admin/plugin.php	(revision 1179)
+++ admin/plugin.php	(revision 500)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/plugins.php
===================================================================
--- admin/plugins.php	(revision 1182)
+++ admin/plugins.php	(revision 1055)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -167,10 +167,10 @@
 
 			# --BEHAVIOR-- pluginBeforeAdd
-			$core->callBehavior('pluginsBeforeAdd', $plugin_id);
+			$core->callBehavior('pluginsBeforeAdd', $plugin);
 						
 			$ret_code = $core->plugins->installPackage($dest,$core->plugins);
 
 			# --BEHAVIOR-- pluginAfterAdd
-			$core->callBehavior('pluginsAfterAdd', $plugin_id);
+			$core->callBehavior('pluginsAfterAdd', $plugin);
 			
 			http::redirect('plugins.php?added='.$ret_code);
@@ -226,10 +226,6 @@
 'Here you can activate or deactivate installed plugins.').'</p>';
 
-echo (!$core->plugins->moduleExists('daInstaller') ?
-	sprintf('<p><strong>'.__('You can find additional plugins for your blog on %s.').'</strong></p>',
-		'<a href="http://plugins.dotaddict.org/dc2/">Dotaddict</a>') :
-	sprintf('<p><strong>'.__('You can find additional plugins for your blog on %s or using the %s.').'</strong></p>',
-		'<a href="http://plugins.dotaddict.org/dc2/">Dotaddict</a>',
-		'<a href="plugin.php?p=daInstaller">'.__('DotAddict.org Installer').'</a>'));
+echo '<p><strong>'.sprintf(__('You can find additional plugins for your blog on %s.'),
+'<a href="http://plugins.dotaddict.org/dc2/">Dotaddict</a>').'</strong> ';
 
 if ($is_writable) {
Index: admin/popup_link.php
===================================================================
--- admin/popup_link.php	(revision 1179)
+++ admin/popup_link.php	(revision 730)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/popup_posts.php
===================================================================
--- admin/popup_posts.php	(revision 1179)
+++ admin/popup_posts.php	(revision 996)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/post.php
===================================================================
--- admin/post.php	(revision 1215)
+++ admin/post.php	(revision 1068)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
@@ -419,10 +419,6 @@
 		http::browserUID(DC_MASTER_KEY.$core->auth->userID().$core->auth->getInfo('user_pwd')).
 		'/'.$post->post_url);
-		echo '<a id="post-preview" href="'.$preview_url.'" class="button" accesskey="p">'.__('Preview').' (p)'.'</a> ';
-	} else {
-		echo
-		'<a id="post-cancel" href="index.php" class="button" accesskey="c">'.__('Cancel').' (c)</a>';
-	}
-
+		echo '<a id="post-preview" href="'.$preview_url.'" class="button">'.__('Preview').'</a> ';
+	}
 	echo
 	($can_delete ? '<input type="submit" class="delete" value="'.__('Delete').'" name="delete" />' : '').
Index: admin/post_media.php
===================================================================
--- admin/post_media.php	(revision 1179)
+++ admin/post_media.php	(revision 557)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/posts.php
===================================================================
--- admin/posts.php	(revision 1179)
+++ admin/posts.php	(revision 1102)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/posts_actions.php
===================================================================
--- admin/posts_actions.php	(revision 1179)
+++ admin/posts_actions.php	(revision 1102)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/preferences.php
===================================================================
--- admin/preferences.php	(revision 1179)
+++ admin/preferences.php	(revision 907)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/search.php
===================================================================
--- admin/search.php	(revision 1179)
+++ admin/search.php	(revision 747)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/services.php
===================================================================
--- admin/services.php	(revision 1179)
+++ admin/services.php	(revision 323)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/trackbacks.php
===================================================================
--- admin/trackbacks.php	(revision 1179)
+++ admin/trackbacks.php	(revision 907)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/update.php
===================================================================
--- admin/update.php	(revision 1179)
+++ admin/update.php	(revision 941)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/user.php
===================================================================
--- admin/user.php	(revision 1179)
+++ admin/user.php	(revision 907)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/users.php
===================================================================
--- admin/users.php	(revision 1179)
+++ admin/users.php	(revision 907)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/users_actions.php
===================================================================
--- admin/users_actions.php	(revision 1179)
+++ admin/users_actions.php	(revision 860)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: admin/xmlrpc.php
===================================================================
--- admin/xmlrpc.php	(revision 1179)
+++ admin/xmlrpc.php	(revision 270)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: build-tools/make-l10n.php
===================================================================
--- build-tools/make-l10n.php	(revision 1179)
+++ build-tools/make-l10n.php	(revision 270)
@@ -6,5 +6,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: build-tools/min-js.php
===================================================================
--- build-tools/min-js.php	(revision 1179)
+++ build-tools/min-js.php	(revision 270)
@@ -5,5 +5,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
Index: inc/admin/class.dc.menu.php
===================================================================
--- inc/admin/class.dc.menu.php	(revision 1179)
+++ inc/admin/class.dc.menu.php	(revision 691)
@@ -4,5 +4,5 @@
 # This file is part of Dotclear 2.
 #
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
+# Copyright (c) 2003-2011 Olivier Meunier & Association Dotclear
 # Licensed under the GPL version 2.0 license.
 # See LICENSE file or
